/*
    MYDATA-Daemon
    
*/
#ifndef _mydata_H
  #define _mydata_H

  #include <avr/io.h>
  #include <avr/pgmspace.h>
  #include "myintTypes.h"

    
  #define MYDATAD_PORT    12345
  #define MYDATA_BUFFER_SIZE 512 //Muss Potenz von 2 sein!

//Globale variablen    
    
  struct {
    U8  tx_buffer[MYDATA_BUFFER_SIZE];
    U16 tx_buffer_write; //Index zum schreiben in den Puffer
    U16 tx_buffer_read;  //Index zum lesen aus dem Puffer
    U16 retransmission_ptr;

    struct {
        volatile U8 ack_wait	: 1;
        volatile U8 connected	: 1;
    }status;
      
  }mydata;

    
    
  
  //Prototypen
  void mydatad (U8);
  void mydata_init (void);
  void mydatad_send_data (void);

  void mydata_write_char(char);


#endif //_mydata_H




